Ubuntu

Activity log for bug #794698

Date Who What changed Old value New value Message
2011-06-08 18:37:53 Andy Whitcroft bug added bug
2011-06-08 18:38:06 Andy Whitcroft nominated for series Ubuntu Hardy
2011-06-08 18:38:06 Andy Whitcroft bug task added linux (Ubuntu Hardy)
2011-06-08 18:38:16 Andy Whitcroft linux (Ubuntu): status New Invalid
2011-06-08 18:38:20 Andy Whitcroft linux (Ubuntu Hardy): status New In Progress
2011-06-08 18:38:23 Andy Whitcroft linux (Ubuntu Hardy): importance Undecided High
2011-06-08 18:38:27 Andy Whitcroft linux (Ubuntu Hardy): assignee Andy Whitcroft (apw)
2011-06-08 18:39:04 Andy Whitcroft description All custom binaries are built with the wrong contents in the /proc/version_signature file. _all_ custom binaries report the same unchanging version, which is both not for their flavour and not the right base version: $ uname -a && cat /proc/version_signature Linux ip-10-36-7-174 2.6.24-29-xen #1 SMP Thu Apr 21 20:44:30 UTC 2011 i686 GNU/Linux Ubuntu 2.6.24-4.6-generic All custom binaries are built with the wrong contents in the /proc/version_signature file. _all_ custom binaries report the same unchanging version, which is both not for their flavour and not the right base version:         $ uname -a && cat /proc/version_signature         Linux ip-10-36-7-174 2.6.24-29-xen #1 SMP Thu Apr 21 20:44:30 UTC 2011 i686 GNU/Linux         Ubuntu 2.6.24-4.6-generic This leads to great confusion identifying the kernel, which is particularly serious on -xen where the kernel can come from outside the domU.
2011-06-08 18:44:39 Andy Whitcroft description All custom binaries are built with the wrong contents in the /proc/version_signature file. _all_ custom binaries report the same unchanging version, which is both not for their flavour and not the right base version:         $ uname -a && cat /proc/version_signature         Linux ip-10-36-7-174 2.6.24-29-xen #1 SMP Thu Apr 21 20:44:30 UTC 2011 i686 GNU/Linux         Ubuntu 2.6.24-4.6-generic This leads to great confusion identifying the kernel, which is particularly serious on -xen where the kernel can come from outside the domU. SRU Justification: Impact: all binary-custom kernels including those in EC2 report an incorrect and very old kernel version via /proc/version_signature Fix: see patch attached below Testcase: compare the contents of /proc/version_signature to uname -a === All custom binaries are built with the wrong contents in the /proc/version_signature file. _all_ custom binaries report the same unchanging version, which is both not for their flavour and not the right base version:         $ uname -a && cat /proc/version_signature         Linux ip-10-36-7-174 2.6.24-29-xen #1 SMP Thu Apr 21 20:44:30 UTC 2011 i686 GNU/Linux         Ubuntu 2.6.24-4.6-generic This leads to great confusion identifying the kernel, which is particularly serious on -xen where the kernel can come from outside the domU.
2011-06-08 18:44:58 Andy Whitcroft bug added subscriber Canonical Kernel SRU Team
2011-06-08 18:47:19 Andy Whitcroft attachment added 0001-UBUNTU-custom-binaries-need-VERSION_SIGNATURE-update.patch https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/794698/+attachment/2161084/+files/0001-UBUNTU-custom-binaries-need-VERSION_SIGNATURE-update.patch
2011-06-08 19:26:19 Andy Whitcroft linux (Ubuntu Hardy): status In Progress Fix Committed
2011-06-29 09:17:15 Herton R. Krzesinski tags verification-needed-hardy
2011-07-05 14:55:22 Stefan Bader tags verification-needed-hardy verification-done-hardy
2011-07-14 16:24:30 Launchpad Janitor linux (Ubuntu Hardy): status Fix Committed Fix Released
2011-07-14 16:24:30 Launchpad Janitor cve linked 2010-4076
2011-07-14 16:24:30 Launchpad Janitor cve linked 2010-4077
2011-07-14 16:24:30 Launchpad Janitor cve linked 2010-4247
2011-07-14 16:24:30 Launchpad Janitor cve linked 2010-4526
2011-07-14 16:24:30 Launchpad Janitor cve linked 2011-0726
2011-07-14 16:24:30 Launchpad Janitor cve linked 2011-1163
2011-07-14 16:24:30 Launchpad Janitor cve linked 2011-1577
2011-07-14 16:24:30 Launchpad Janitor cve linked 2011-1746
2011-08-06 12:04:53 Luke J Militello bug added subscriber Luke J Militello